﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style type="text/css">
        body { font-family: Arial; font-size: 10pt; }
        table { border: 1px solid #ccc; border-collapse: collapse; }
        table th { background-color: #F7F7F7; color: #333; font-weight: bold; }
        table th, table td { padding: 5px; border: 1px solid #ccc; }
    </style>
</head>
<body>
    <form id="form1" runat="server">
        <table id="tblCustomers">
            <tr>
                <th>Customer Id</th>
                <th>Name</th>
                <th>Country</th>
            </tr>
            <tr>
                <td>1</td>
                <td>John Hammond</td>
                <td>United States</td>
            </tr>
            <tr>
                <td>2</td>
                <td>Mudassar Khan</td>
                <td>India</td>
            </tr>
            <tr>
                <td>3</td>
                <td>Suzanne Mathews</td>
                <td>France</td>
            </tr>
            <tr>
                <td>4</td>
                <td>Robert Schidner</td>
                <td>Russia</td>
            </tr>
        </table>
        <br />
        <asp:Button ID="btnExport" Text="Export" runat="server" />
    </form>
    <script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
    <script type="text/javascript" src="Scripts/table2excel.js"></script>
    <script type="text/javascript">
        $(function () {
            $("[id*=btnExport]").click(function () {
                $("#tblCustomers").table2excel({
                    filename: "Table.xls"
                });
            });
        });
    </script>
</body>
</html>
